#
# spec file for package libmusicbrainz (Version 2.1.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           libmusicbrainz
BuildRequires:  expat gcc-c++
%define prefix   /usr
Summary:        Library That Provides Access to the MusicBrainz Server
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        2.1.2
Release:        12.5
URL:            http://www.musicbrainz.org/
Source:         %{name}-%{version}.tar.bz2
Patch:          CVE-2006-4197.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MusicBrainz is the second generation incarnation of the CD Index. This
server is designed to enable audio CD, MP3 and Vorbis players to
download metadata about the music they are playing.



Authors:
--------
    Adam Wozniak <adam@mudlist.eorbit.net>
    Ben Wong <cdindex@wongs.net>
    Bert Vermeulen <bert@biot.com>
    Johnny Tevessen <j.tevessen@gmx.net>
    Jukka Poikolainen <jukka.poikolainen@poikosoft.com>
    Marc E E van Woerkom <van.woerkom@netcologne.de>
    Mark A Mankins <raider@dnaco.net>
    Rick Bradey <roundeye@bellsouth.net>
    Robert Kaye <rob@emusic.com>
    Stephen van Egmond <svanegmond@home.com>
    Winston Chang <wchang3@students.wisc.edu>
    David W. Gray <david@thegray.com>

%debug_package
%package devel
License:        LGPL
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} libstdc++-devel expat
Summary:        Include Files and Libraries mandatory for Development.

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Adam Wozniak <adam@mudlist.eorbit.net>
    Ben Wong <cdindex@wongs.net>
    Bert Vermeulen <bert@biot.com>
    Johnny Tevessen <j.tevessen@gmx.net>
    Jukka Poikolainen <jukka.poikolainen@poikosoft.com>
    Marc E E van Woerkom <van.woerkom@netcologne.de>
    Mark A Mankins <raider@dnaco.net>
    Rick Bradey <roundeye@bellsouth.net>
    Robert Kaye <rob@emusic.com>
    Stephen van Egmond <svanegmond@home.com>
    Winston Chang <wchang3@students.wisc.edu>
    David W. Gray <david@thegray.com>

%prep
%setup -q
%patch

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --force
aclocal
autoconf
automake
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--sysconfdir=%{_sysconfdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_libdir}/libmusicbrainz.so.*

%files devel
%defattr(-, root, root)
%doc examples/Makefile* examples/*cpp examples/*c
%{prefix}/include/musicbrainz
%{_libdir}/libmusicbrainz.a
%{_libdir}/libmusicbrainz.la
%{_libdir}/libmusicbrainz.so
%{_libdir}/pkgconfig/*.pc

%changelog -n libmusicbrainz
* Fri Sep 01 2006 - sbrabec@suse.cz
- Fixed buffer overflow in MBHttp::Download and rdfparse.c
  (CVE-2006-4197, #199134):
  * Fixed buffer overflows in the RDF parsing and HTTP code.
  * Fixed invalid memory access in the HTTP code.
- Fixed memory leaks in RDFExtract.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 - sbrabec@suse.cz
- Updated to version 2.1.2.
* Mon Oct 31 2005 - dmueller@suse.de
- don't build as root
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed invalid cast.
* Fri Aug 06 2004 - adrian@suse.de
- add c++ enviroment to nfb
* Fri Aug 06 2004 - adrian@suse.de
- update to version 2.1.1
* Wed Apr 21 2004 - ro@suse.de
- specify void return for tiger_compress
* Fri Apr 16 2004 - ro@suse.de
- remove un-neccessary version line in devel subpackage
* Tue Feb 10 2004 - coolo@suse.de
- fix build on x86_64
* Sat Aug 16 2003 - coolo@suse.de
- fix require after rename
* Tue Aug 12 2003 - sbrabec@suse.cz
- Package renamed and splitted.
- Updated to version 2.0.2.
* Thu Oct 17 2002 - sbrabec@suse.cz
- Update to version 1.1.0.
* Fri Aug 30 2002 - pmladek@suse.cz
- fixed dependency of the devel subpackage on the main package (used %%version)
* Tue Jan 15 2002 - pmladek@suse.cz
- updated to version 1.0.1
* Thu Jan 10 2002 - pmladek@suse.cz
- used macro %%{_libdir} to fix for lib64
- added libmusicbrainz.la to the devel package
* Fri Jul 20 2001 - pmladek@suse.cz
- updated to stable version 1.0.0
- removed endian patch (it's fixed in curent version)
* Sat Jun 23 2001 - schwab@suse.de
- Fix missing declarations.
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed to compile with new autoconf
* Fri Mar 16 2001 - uli@suse.de
- fixed spec file
* Thu Mar 15 2001 - nadvornik@suse.cz
- fixed to compile on axp
* Wed Mar 14 2001 - nadvornik@suse.cz
- update to 1.0.0pre7
* Fri Dec 01 2000 - smid@suse.cz
- initial version
